### Method

# Gsk PathBuilder to_path

since: 4.14

#### Declaration [src]

    GskPath*
    gsk_path_builder_to_path (
      GskPathBuilder* self
    )

#### Description [src]

Creates a new path from the given builder.

The given `GskPathBuilder` is reset to the initial state once this function returns. Calling this function again on the same builder instance will therefore produce an empty path, not a copy of the same path.

This function is intended primarily for language bindings. C code should use `gsk_path_builder_free_to_path()`.

Available since: 4.14

#### Return value

Type: `GskPath`

The newly created path with all the contours added to the builder.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.